Bug 499417 - KMS:RV620 M82:Mobility Radeon HD 3400 turning on desktop effects gives a white screen (HP EliteBook 6930p) [NEEDINFO]
KMS:RV620 M82:Mobility Radeon HD 3400 turning on desktop effects gives a whit...
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-05-06 11:31 EDT by lian
Modified: 2010-06-28 08:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-28 08:23:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: needinfo? (liulian1985)

Attachments (Terms of Use)
Xorg.0.log on my computer (73.38 KB, text/plain)
2009-07-20 02:46 EDT, lian
no flags Details
Xorg.0.log.old (74.49 KB, text/plain)
2009-07-20 02:47 EDT, lian
no flags Details

  None (edit)
Description lian 2009-05-06 11:31:30 EDT
Description of problem:

I'm using an HP EliteBook 6930p Notebook. When I was trying to turn on desktop effects on Fedora 10, the system gave nothing but a whole white screen. Until about 45 seconds later, the screen turned to the original state.
I guess it's the video card driver problem. The video card of my notebook is ATI Mobility RadeonTM HD 3450.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. System-> Preferences-> Look and Feel-> Desktop Effects
2. Enable Desktop Effects
Actual results:

Expected results:
The video card can be driven, and the desktop effects can be enabled.

Additional info:
Comment 1 Hans Ulrich Niedermann 2009-05-07 07:51:51 EDT
The white screen was standard reaction with older versions of radeonhd and/or kernel/DRI, which had no support for the HDxxxx series of chips at the time.

It would be very helpful for making a proper diagnosis if you could attach
  1. your xorg.conf
  2. any Xorg.*.log files
with the package versions you are currently running.

Thank you.
Comment 2 Hans Ulrich Niedermann 2009-07-19 10:09:24 EDT
I think the old package was compiled without DRI support by accident.

The following updates (F10 or F11) should fix that:

Comment 3 Hans Ulrich Niedermann 2009-07-19 10:11:26 EDT
Reporter, also please confirm you are actually running the radeonhd driver from the -radeonhd package. The Fedora default is the radeon driver from the -ati package.

Attaching Xorg.0.log or something would help there.
Comment 4 lian 2009-07-20 02:46:50 EDT
Created attachment 354306 [details]
Xorg.0.log on my computer
Comment 5 lian 2009-07-20 02:47:29 EDT
Created attachment 354307 [details]
Comment 6 lian 2009-07-20 02:49:34 EDT
(In reply to comment #3)
> Reporter, also please confirm you are actually running the radeonhd driver from
> the -radeonhd package. The Fedora default is the radeon driver from the -ati
> package.
> Attaching Xorg.0.log or something would help there.  

Thank you so much for fixing the bug.

Would you please tell me in detail how to "run the radeonhd driver from
the -radeonhd package", not the -ati package? I'm sorry that I'm not very familiar with linux.

The files "Xorg.0.log" and "Xorf.0.log.old" are attached, I hope they can help.
Comment 7 Hans Ulrich Niedermann 2009-07-20 17:35:27 EDT
Your Xorg.0.log files show that you are using the default "radeon" driver from the -ati package. This is the preferred choice on Fedora, and certainly your best choice when you are "not very familiar with linux".

I am reassigning the bug to the -ati package accordingly.
Comment 8 Matěj Cepl 2009-11-05 13:28:38 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 9 Matěj Cepl 2010-02-26 07:21:50 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 10 Bug Zapper 2010-04-27 10:09:28 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 11 Vedran Miletić 2010-05-24 13:48:30 EDT
Improving summary.


Fedora Bugzappers volunteer triage team

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]
Comment 12 Bug Zapper 2010-06-28 08:23:54 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.